diff --git a/changelog b/changelog
index 4c03a02..297d3ee 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20091005 tpd src/axiom-website/patches.html 20091005.01.tpd.patch
+20091005 tpd src/interp/i-eval.lisp cleanup
 20091004 tpd src/axiom-website/patches.html 20091004.04.tpd.patch
 20091004 tpd src/interp/i-intern.lisp cleanup
 20091004 tpd src/axiom-website/patches.html 20091004.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 4c94239..9fd7fd5 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2101,5 +2101,7 @@ src/input/zimmbron.input added<br/>
 src/interp/i-output.lisp cleanup<br/>
 <a href="patches/20091004.04.tpd.patch">20091004.04.tpd.patch</a>
 src/interp/i-intern.lisp cleanup<br/>
+<a href="patches/20091005.01.tpd.patch">20091005.01.tpd.patch</a>
+src/interp/i-eval.lisp cleanup<br/>
  </body>
 </html>
diff --git a/src/interp/i-eval.lisp.pamphlet b/src/interp/i-eval.lisp.pamphlet
index 3f27e61..c29e942 100644
--- a/src/interp/i-eval.lisp.pamphlet
+++ b/src/interp/i-eval.lisp.pamphlet
@@ -144,6 +144,7 @@ the alternate polynomial types of Symbols.
 
 (DEFUN |evalDomain| (|form|)
  (PROG (|result|)
+ (declare (special |$evalDomain|))
   (RETURN
    (PROGN
     (COND
@@ -187,6 +188,7 @@ the alternate polynomial types of Symbols.
 
 (DEFUN |mkEvalable| (|form|)
  (PROG (|op| |argl| |kind| |cosig| |ISTMP#1| |y|)
+ (declare (special |$Integer| |$EmptyMode|))
   (RETURN
    (SEQ
     (COND
@@ -379,7 +381,7 @@ the alternate polynomial types of Symbols.
 (DEFUN |evaluateType0| (|form|)
  (PROG (|$expandSegments| |domain| |form'| |op| |argl| |sigs| |ISTMP#1| 
         |x| |ISTMP#2| |ISTMP#3| |sel| |type|)
- (DECLARE (SPECIAL |$expandSegments|))
+ (DECLARE (SPECIAL |$expandSegments| |$EmptyMode|))
   (RETURN
    (SEQ
     (COND
@@ -553,7 +555,7 @@ the alternate polynomial types of Symbols.
 (DEFUN |evaluateType| (|form|)
  (PROG (|$expandSegments| |domain| |form'| |op| |argl| |sigs| |ISTMP#1| 
         |x| |ISTMP#2| |ISTMP#3| |sel| |type|)
- (DECLARE (SPECIAL |$expandSegments|))
+ (DECLARE (SPECIAL |$expandSegments| |$EmptyMode|))
   (RETURN
    (SEQ
     (COND
@@ -720,8 +722,9 @@ the alternate polynomial types of Symbols.
 ;  throwEvalTypeMsg("S2IE0007",[op])
 
 (DEFUN |evaluateType1| (|form|)
- (PROG (|op| |argl| |sig| |ml| |x'| |m| |tree| |ISTMP#1| |m1| |z1| |zt| |zv| 
-        |v| |x| |typeList|)
+ (PROG (|op| |argl| |sig| |ml| |x'| |tree| |ISTMP#1| |m1| |z1| |zt| |zv| 
+        |v| |typeList|)
+ (declare (special |$quadSymbol| |$EmptyMode|))
   (RETURN
    (SEQ
     (PROGN
@@ -804,6 +807,7 @@ the alternate polynomial types of Symbols.
 ;  throwKeyedMsg(msg, args)
 
 (DEFUN |throwEvalTypeMsg| (|msg| |args|)
+ (declare (special |$noEvalTypeMsg|))
  (COND
   (|$noEvalTypeMsg| (|spadThrow|))
   ((QUOTE T) (|throwKeyedMsg| |msg| |args|)))) 
@@ -945,7 +949,7 @@ the alternate polynomial types of Symbols.
  (PROG ($ |sig| |fun| |cond| |dc| |freeFun| |xargs| |xbody| |rec| |ind| 
         |ISTMP#4| |ISTMP#5| |ISTMP#1| |ISTMP#2| |ISTMP#3| |len| |dcVector| 
         |mm'| |fun0| |bpi| |domain| |form| |targetType|)
- (DECLARE (SPECIAL $))
+ (DECLARE (SPECIAL $ |$NRTmonitorIfTrue| |$localVars| |$genValue|))
   (RETURN
    (SEQ
     (PROGN
@@ -1302,7 +1306,9 @@ the alternate polynomial types of Symbols.
 ;  NIL
 
 (DEFUN |getMappingArgValue| (|a| |t| |m|)
+ (declare (ignore |t|))
  (PROG (|ml| |una| |name| |mmS| |ISTMP#1| |ml1| |ISTMP#2| |oldName|)
+ (declare (special |$env| |$genValue| |$localVars|))
   (RETURN
    (SEQ
     (PROGN
@@ -1401,6 +1407,7 @@ the alternate polynomial types of Symbols.
 
 (DEFUN |getArgValueComp| (|arg| |type| |cond|)
  (PROG (|v| |num| |alias| |n|)
+ (declare (special |$e| |$mapName| |$compilingMap|))
   (RETURN
    (PROGN 
     (SPADLET |v| (|getArgValue| |arg| |type|))
@@ -1435,6 +1442,7 @@ the alternate polynomial types of Symbols.
 
 (DEFUN |evalFormMkValue| (|op| |form| |tm|)
  (PROG (|u| |val|)
+ (declare (special |$NRTmonitorIfTrue| |$genValue|))
   (RETURN
    (PROGN
     (SPADLET |val|
@@ -1460,6 +1468,7 @@ the alternate polynomial types of Symbols.
 ;  x
 
 (DEFUN |failCheck| (|x|)
+ (declare (special |$coerceFailure| |$String|))
  (COND
   ((BOOT-EQUAL |x| (MAKESTRING "failed"))
    (|stopTimingProcess| (|peekTimedName|))
